# _XMLTreeRoot Struct Reference

## Data Fields

struct _XMLTreeInfo | root
XMLTreeInfo * | node
MagickBooleanType | standalone
char *** | processing_instructions
char ** | entities
char *** | attributes
MagickBooleanType | debug
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

struct _XMLTreeInfo _XMLTreeRoot::root`[read]`

XMLTreeInfo* _XMLTreeRoot::node

MagickBooleanType _XMLTreeRoot::standalone

char*** _XMLTreeRoot::processing_instructions

char ** _XMLTreeRoot::entities

char *** _XMLTreeRoot::attributes

MagickBooleanType _XMLTreeRoot::debug

SemaphoreInfo* _XMLTreeRoot::semaphore

unsigned long _XMLTreeRoot::signature

The documentation for this struct was generated from the following file:

- xml-tree.c